TTTT Analysis 0.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
fv::root::Energies Class Reference
Inheritance diagram for fv::root::Energies:
[legend]
Collaboration diagram for fv::root::Energies:
[legend]

## Public Member Functions
| Energies (Value< std::vector< TLorentzVector >> *vectors, const std::string &alias)
Public Member Functions inherited from fv::DerivedValue< std::vector< float > >
| DerivedValue (const std::string &name, const std::string &alias="")
std::vector< float > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::vector< float > >
| Value (const std::string &name, const std::string &alias="")
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()
void | set_name (const std::string &new_name)

## Protected Member Functions
void | update_value ()
| Updates the internal value. More...

## Protected Attributes
Value< std::vector< TLorentzVector > > * | vectors
Protected Attributes inherited from fv::DerivedValue< std::vector< float > >
std::vector< float > | value
bool | value_valid

## Additional Inherited Members
Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

## Member Function Documentation

## ◆ update_value()

void fv::root::Energies::update_value | ( |  | ) |
| inline protected virtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::vector< float > >.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/value.hpp